import React from 'react';
import { iconSizer } from "../../../internal/icons2022/iconSizer";
import { EyeClosedIcon16Light } from "../../../internal/icons2022/EyeClosedIcon/EyeClosedIcon16Light";
import { EyeClosedIcon20Light } from "../../../internal/icons2022/EyeClosedIcon/EyeClosedIcon20Light";
import { EyeClosedIcon24Regular } from "../../../internal/icons2022/EyeClosedIcon/EyeClosedIcon24Regular";
export var ClosedIcon = iconSizer({
  small: function small() {
    return /*#__PURE__*/React.createElement(EyeClosedIcon16Light, null);
  },
  medium: function medium() {
    return /*#__PURE__*/React.createElement(EyeClosedIcon20Light, null);
  },
  large: function large() {
    return /*#__PURE__*/React.createElement(EyeClosedIcon24Regular, null);
  }
}, 'ClosedIcon');